> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Scim Patch Group

> Partial update of a SCIM group (SCIM PatchOp).

Supports:
  op=add    path=members  value=[{value: user_id}]
  op=remove path=members[value eq "user_id"]
  op=remove path=members (removes all)
  op=replace path=displayName value="new name"

Azure and Okta drive membership churn via this endpoint.



## OpenAPI

````yaml /openapi.json patch /v1/scim/v2/{tenant}/Groups/{group_id}
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/scim/v2/{tenant}/Groups/{group_id}:
    patch:
      tags:
        - scim
      summary: Scim Patch Group
      description: |-
        Partial update of a SCIM group (SCIM PatchOp).

        Supports:
          op=add    path=members  value=[{value: user_id}]
          op=remove path=members[value eq "user_id"]
          op=remove path=members (removes all)
          op=replace path=displayName value="new name"

        Azure and Okta drive membership churn via this endpoint.
      operationId: scim_patch_group_v1_scim_v2__tenant__Groups__group_id__patch
      parameters:
        - in: path
          name: tenant
          required: true
          schema:
            title: Tenant
            type: string
        - in: path
          name: group_id
          required: true
          schema:
            title: Group Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              additionalProperties: true
              title: Body
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: >-
                  Response Scim Patch Group V1 Scim V2  Tenant  Groups  Group
                  Id  Patch
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````